#!/usr/bin/env python2

import load_nodes
import sys
import argparse

if __name__ == '__main__':
    parser = argparse.ArgumentParser()
    parser.add_argument('node', type=str, help='Name of the node to find backing script for')
    args = parser.parse_args()

    namespace = dict()
    load_nodes.load_nodes(namespace)
    if args.node in namespace:
        n = namespace[args.node]
        if n.ntype == 'action':
            if n.script:
                print(n.script)
            else:
                print('%s does not have a backing script!' % args.node)
        else:
            print('%s is a %s' % (args.node, n.ntype))
    else:
        print('%s not found' % args.node)
