require "/scripts/vec2.lua"

function update(dt, fireMode, shiftHeld)
  local radius = shiftHeld and 0 or 2
  local aim = activeItem.ownerAimPosition()
  local aligned_aim = {math.floor(aim[1]), math.floor(aim[2])}

  local color = -1
  if fireMode == "primary" then
    color = 2
  elseif fireMode == "alt" then
    color = 0
  end
  if color ~= -1 then
    for y = -radius, radius do
      for x = -radius, radius do
        local pos = {aligned_aim[1] + x, aligned_aim[2] + y}
        world.setMaterialColor(pos, 'foreground', color)
      end
    end
  end

  activeItem.setScriptedAnimationParameter("center", mcontroller.position())
  activeItem.setScriptedAnimationParameter("aim", aim)
  activeItem.setScriptedAnimationParameter("radius", radius)
end
