require "/scripts/util.lua"

function makeBaby(args, board, node, dt)
  if args.mate == nil then return false end
  local mateGender = world.entityGender(args.mate)
  local babyPosition = mateGender == 'female' and world.entityPosition(args.mate) or entity.position()
  local babySpecies = util.randomChoice({world.entitySpecies(entity.id()), world.entitySpecies(args.mate)})
  local baby = world.spawnMonster('clansmanbaby', babyPosition, {level = 1, aggressive = false, species = babySpecies})
  return true, {baby=baby}
end

function babyGrowUp(args, board, node, dt)
  sb.logInfo('baby config.species: ' .. tostring(config.getParameter('species', 'unkown')))
  local species = config.getParameter('species', 'unkown')
  local seed = generateSeed()
  local grownup = world.spawnNpc(entity.position(), species, 'clansman', 0, seed, {})
  return true, {grownup=grownup}
end

function updateFamiliarity(args, board, node, dt)
  -- for npc in range
  -- add familiarity based on distance
  -- decrease familiarity for everyone
  -- remove entries below zero
  return false
end
